import java.io.*;
import org.w3c.dom.*;
import org.xml.sax.SAXException;
import com.sun.org.apache.xerces.internal.parsers.DOMParser;


public class Test {

	public static void main(String[] args) {
		DOMParser parser = new DOMParser();
		try {
			parser.parse("test.xml");
		} catch (SAXException e) {
			System.out.println("Erreur du parseur : " + e.getMessage());
			System.exit(1);
		} catch (IOException e) {
			System.out.println("Erreur de fichier : " + e.getMessage());
			System.exit(1);
		}
		Document doc = parser.getDocument();
		traverse(doc);
	}
	
	private static void traverse(Node node) {
		int type = node.getNodeType();
		if( type == Node.ELEMENT_NODE ) {
			System.out.println(node.getNodeName());
		}
		NodeList children = node.getChildNodes();
		if ( children != null ){
			for (int i = 0 ; i < children.getLength() ; i++) {
				traverse(children.item(i));
			}
		}
	}
}

